epp_Options (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_Options class

### org.openrtk.idl.epprtk

# Class epp_Options

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_Options`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Options`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the client's choices on the protocol version and the text response language to be used during the ongoing server session. It is used to establish a session with an EPP server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_Options.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `org.openrtk.idl.epprtk.epp_Credentials`

  ## Field Summary
  `String` | `m_lang` The text response language to be used for the command or ongoing server session.
  `String` | `m_version` The protocol version to be used for the command or ongoing server session.

  ## Constructor Summary
  `epp_Options()` Empty constructor
  `epp_Options(String _m_version, String _m_lang)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getLang()` Accessor method for the text response language to be used during the EPP server session
  `String` | `getVersion()` Accessor method for the protocol version to be used during the EPP server session
  `void` | `setLang(String value)` Accessor method for the text response language to be used during the EPP server session
  `void` | `setVersion(String value)` Accessor method for the protocol version to be used during the EPP server session
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_lang

    public String m_lang

> The text response language to be used for the command or ongoing server session. The value of the language must exactly match one of the values presented in the EPP greeting.
> See Also:
>   `setLang(String)`, `getLang()`

### m_version

    public String m_version

> The protocol version to be used for the command or ongoing server session. The value of the version must exactly match one of the values presented in the EPP greeting.
> See Also:
>   `setVersion(String)`, `getVersion()`

## Constructor Details

### epp_Options

    public epp_Options()

> Empty constructor

### epp_Options

    public epp_Options(String _m_version,
                       String _m_lang)

> The constructor with initializing variables.
> Parameters:
>   `_m_version` - The protocol version to be used during the EPP server session
>   `_m_lang` - The text response language to be used during the EPP server session

## Method Details

### getLang

    public String getLang()

> Accessor method for the text response language to be used during the EPP server session
> Returns:
>   The text response language
> See Also:
>   `m_lang`

### getVersion

    public String getVersion()

> Accessor method for the protocol version to be used during the EPP server session
> Returns:
>   The protocol version
> See Also:
>   `m_version`

### setLang

    public void setLang(String value)

> Accessor method for the text response language to be used during the EPP server session
> Parameters:
>   `value` - The text response language
> See Also:
>   `m_lang`

### setVersion

    public void setVersion(String value)

> Accessor method for the protocol version to be used during the EPP server session
> Parameters:
>   `value` - The protocol version
> See Also:
>   `m_version`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS